Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS > Class Template Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::TypedArraySample< TRAITS >:
[legend]

## Public Types

typedef TRAITS | traits_type
typedef TypedArraySample< TRAITS > | this_type
typedef TRAITS::value_type | value_type
typedef std::vector< value_type > | value_vector
Public Types inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySample
typedef ArraySample | this_type
typedef ArraySampleKey | Key
typedef Key | key_type

## Public Member Functions

| TypedArraySample (const value_type *iValues, size_t iNumVals)
| TypedArraySample (const value_type *iValues, const Dimensions &iDims)
| TypedArraySample (const value_vector &iVec)
| TypedArraySample (const value_vector &iVec, const Dimensions &iDims)
| TypedArraySample (const AbcA::ArraySample &iCopy)
TypedArraySample< TRAITS > | operator= (const AbcA::ArraySample &iCopy)
const value_type * | get () const
const value_type * | operator-> () const
const value_type & | operator[] (const size_t i) const
size_t | size () const
| ALEMBIC_OPERATOR_BOOL (ArraySample::valid())
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySample
| ArraySample ()
| ArraySample (const void *iData, const DataType &iDataType, const Dimensions &iDims)
const void * | getData () const
const DataType & | getDataType () const
const Dimensions & | getDimensions () const
size_t | size () const
Key | getKey () const
bool | valid () const
void | reset ()

## Static Public Member Functions

static TypedArraySample< TRAITS > | emptySample ()

The documentation for this class was generated from the following file:

- Abc/TypedArraySample.h